<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: IModel Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_i_model-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">IModel Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Base class for all the models implementations.  
 <a href="class_i_model.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for IModel:</div>
<div class="dyncontent">
<div class="center"><img src="class_i_model__inherit__graph.png" border="0" usemap="#_i_model_inherit__map" alt="Inheritance graph"/></div>
<map name="_i_model_inherit__map" id="_i_model_inherit__map">
<area shape="rect" id="node3" href="class_current.html" title="Current controlled motor with a SEA. " alt="" coords="5,155,69,181"/>
<area shape="rect" id="node4" href="class_current_transparency.html" title="CurrentTransparency" alt="" coords="93,155,235,181"/>
<area shape="rect" id="node5" href="class_voltage.html" title="Voltage controlled motor with a SEA. " alt="" coords="259,155,325,181"/>
<area shape="rect" id="node6" href="class_whitney.html" title="Whitney" alt="" coords="349,155,417,181"/>
<area shape="rect" id="node2" href="classhandle.html" title="handle" alt="" coords="198,5,258,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad37aa182877feb18cf0998702ce7ff0d"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_model.html#ad37aa182877feb18cf0998702ce7ff0d">IModel</a> ()</td></tr>
<tr class="memdesc:ad37aa182877feb18cf0998702ce7ff0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class constructor.  <a href="#ad37aa182877feb18cf0998702ce7ff0d">More...</a><br /></td></tr>
<tr class="separator:ad37aa182877feb18cf0998702ce7ff0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a445f33d87e8aca91c27220cd4d8e16da"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_model.html#a445f33d87e8aca91c27220cd4d8e16da">get_initial_state</a> (in obj)</td></tr>
<tr class="memdesc:a445f33d87e8aca91c27220cd4d8e16da"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the initial states.  <a href="#a445f33d87e8aca91c27220cd4d8e16da">More...</a><br /></td></tr>
<tr class="separator:a445f33d87e8aca91c27220cd4d8e16da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6108ff447601d4c6a683b8f3c8e29ed5"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_model.html#a6108ff447601d4c6a683b8f3c8e29ed5">fun_derivatives</a> (in obj, in t, in x, in u)</td></tr>
<tr class="memdesc:a6108ff447601d4c6a683b8f3c8e29ed5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute the derivatives for the continuous states.  <a href="#a6108ff447601d4c6a683b8f3c8e29ed5">More...</a><br /></td></tr>
<tr class="separator:a6108ff447601d4c6a683b8f3c8e29ed5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ed784a2d550a43a37b4d32e62ad09d1"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_model.html#a2ed784a2d550a43a37b4d32e62ad09d1">fun_update</a> (in obj, in t, in x, in u)</td></tr>
<tr class="memdesc:a2ed784a2d550a43a37b4d32e62ad09d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute the discrete states updates.  <a href="#a2ed784a2d550a43a37b4d32e62ad09d1">More...</a><br /></td></tr>
<tr class="separator:a2ed784a2d550a43a37b4d32e62ad09d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a195100623fa9887b2e36539bc37c655e"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_model.html#a195100623fa9887b2e36539bc37c655e">fun_outputs</a> (in obj, in t, in x, in u)</td></tr>
<tr class="memdesc:a195100623fa9887b2e36539bc37c655e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute the outputs.  <a href="#a195100623fa9887b2e36539bc37c655e">More...</a><br /></td></tr>
<tr class="separator:a195100623fa9887b2e36539bc37c655e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa77100b541ba43fcfb22723a677e480d"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_model.html#aa77100b541ba43fcfb22723a677e480d">reset</a> (in obj)</td></tr>
<tr class="memdesc:aa77100b541ba43fcfb22723a677e480d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset all the properties.  <a href="#aa77100b541ba43fcfb22723a677e480d">More...</a><br /></td></tr>
<tr class="separator:aa77100b541ba43fcfb22723a677e480d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a592dff204bc2adeafa81d1af5d8c09cc"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_model.html#a592dff204bc2adeafa81d1af5d8c09cc">type</a></td></tr>
<tr class="memdesc:a592dff204bc2adeafa81d1af5d8c09cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the model.  <a href="#a592dff204bc2adeafa81d1af5d8c09cc">More...</a><br /></td></tr>
<tr class="separator:a592dff204bc2adeafa81d1af5d8c09cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac08e733eaa9bb7139d963f595fcc0a0e"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_model.html#ac08e733eaa9bb7139d963f595fcc0a0e">num_states</a></td></tr>
<tr class="memdesc:ac08e733eaa9bb7139d963f595fcc0a0e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of states.  <a href="#ac08e733eaa9bb7139d963f595fcc0a0e">More...</a><br /></td></tr>
<tr class="separator:ac08e733eaa9bb7139d963f595fcc0a0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a2299a4bd1517f715b45feefc99510a"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_model.html#a6a2299a4bd1517f715b45feefc99510a">num_outputs</a></td></tr>
<tr class="memdesc:a6a2299a4bd1517f715b45feefc99510a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of outputs.  <a href="#a6a2299a4bd1517f715b45feefc99510a">More...</a><br /></td></tr>
<tr class="separator:a6a2299a4bd1517f715b45feefc99510a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a959b7a7a9b3913fe70bb9c1f1106ab75"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_model.html#a959b7a7a9b3913fe70bb9c1f1106ab75">num_inputs</a></td></tr>
<tr class="memdesc:a959b7a7a9b3913fe70bb9c1f1106ab75"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of inputs.  <a href="#a959b7a7a9b3913fe70bb9c1f1106ab75">More...</a><br /></td></tr>
<tr class="separator:a959b7a7a9b3913fe70bb9c1f1106ab75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56d7ab917ef265bf43aa37472355dcb1"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_model.html#a56d7ab917ef265bf43aa37472355dcb1">tau_s</a></td></tr>
<tr class="memdesc:a56d7ab917ef265bf43aa37472355dcb1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Spring torque signal.  <a href="#a56d7ab917ef265bf43aa37472355dcb1">More...</a><br /></td></tr>
<tr class="separator:a56d7ab917ef265bf43aa37472355dcb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ed54a08b678a16dd4a58495ce401da0"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_model.html#a1ed54a08b678a16dd4a58495ce401da0">dtau_s</a></td></tr>
<tr class="memdesc:a1ed54a08b678a16dd4a58495ce401da0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Derivative of the spring torque signal.  <a href="#a1ed54a08b678a16dd4a58495ce401da0">More...</a><br /></td></tr>
<tr class="separator:a1ed54a08b678a16dd4a58495ce401da0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Base class for all the models implementations. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad37aa182877feb18cf0998702ce7ff0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad37aa182877feb18cf0998702ce7ff0d">&#9670;&nbsp;</a></span>IModel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function <a class="el" href="class_i_model.html">IModel</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Class constructor. </p>
<dl class="section return"><dt>Returns</dt><dd>instance of the <a class="el" href="class_i_model.html" title="Base class for all the models implementations. ">IModel</a> class. </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a6108ff447601d4c6a683b8f3c8e29ed5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6108ff447601d4c6a683b8f3c8e29ed5">&#9670;&nbsp;</a></span>fun_derivatives()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function fun_derivatives </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>u</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Compute the derivatives for the continuous states. </p>
<p>Method to be overridden in the child class.</p>
<dl class="section return"><dt>Returns</dt><dd>sys The derivatives for the continuous states. </dd></dl>

</div>
</div>
<a id="a195100623fa9887b2e36539bc37c655e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a195100623fa9887b2e36539bc37c655e">&#9670;&nbsp;</a></span>fun_outputs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function fun_outputs </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>u</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Compute the outputs. </p>
<p>Method to be overridden in the child class.</p>
<dl class="section return"><dt>Returns</dt><dd>sys The outputs. </dd></dl>

</div>
</div>
<a id="a2ed784a2d550a43a37b4d32e62ad09d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ed784a2d550a43a37b4d32e62ad09d1">&#9670;&nbsp;</a></span>fun_update()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function fun_update </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>u</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Compute the discrete states updates. </p>
<p>Method to be overridden in the child class.</p>
<dl class="section return"><dt>Returns</dt><dd>sys The discrete states updates. </dd></dl>

</div>
</div>
<a id="a445f33d87e8aca91c27220cd4d8e16da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a445f33d87e8aca91c27220cd4d8e16da">&#9670;&nbsp;</a></span>get_initial_state()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function get_initial_state </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the initial states. </p>
<dl class="section return"><dt>Returns</dt><dd>x The initial states. </dd></dl>

</div>
</div>
<a id="aa77100b541ba43fcfb22723a677e480d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa77100b541ba43fcfb22723a677e480d">&#9670;&nbsp;</a></span>reset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function reset </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Reset all the properties. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a1ed54a08b678a16dd4a58495ce401da0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ed54a08b678a16dd4a58495ce401da0">&#9670;&nbsp;</a></span>dtau_s</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property dtau_s</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Derivative of the spring torque signal. </p>

</div>
</div>
<a id="a959b7a7a9b3913fe70bb9c1f1106ab75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a959b7a7a9b3913fe70bb9c1f1106ab75">&#9670;&nbsp;</a></span>num_inputs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property num_inputs</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Number of inputs. </p>

</div>
</div>
<a id="a6a2299a4bd1517f715b45feefc99510a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a2299a4bd1517f715b45feefc99510a">&#9670;&nbsp;</a></span>num_outputs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property num_outputs</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Number of outputs. </p>

</div>
</div>
<a id="ac08e733eaa9bb7139d963f595fcc0a0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac08e733eaa9bb7139d963f595fcc0a0e">&#9670;&nbsp;</a></span>num_states</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property num_states</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Number of states. </p>

</div>
</div>
<a id="a56d7ab917ef265bf43aa37472355dcb1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56d7ab917ef265bf43aa37472355dcb1">&#9670;&nbsp;</a></span>tau_s</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property tau_s</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Spring torque signal. </p>

</div>
</div>
<a id="a592dff204bc2adeafa81d1af5d8c09cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a592dff204bc2adeafa81d1af5d8c09cc">&#9670;&nbsp;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name of the model. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>Models/<a class="el" href="_i_model_8m.html">IModel.m</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
